<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require '../../modelo/direcciones_sepomex.php';

if(!isset($_POST['cp'])){
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$cp = $_POST['cp'];

$direcciones_sepomex = DireccionesSEPOMEX::mdlGetDireccionSEPOMEXByCP($cp);

if (!$direcciones_sepomex) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron direcciones';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $direcciones_sepomex;

echo json_encode($response);